<?php

$htmldoc = "nieuwsbrief.html";

$afb = array();
$afbnr = 1;
// het absolute pad naar de afbeeldingen
define(imagedir, $_SERVER["DOCUMENT_ROOT"]."/images");

require("class.phpmailer.php");

$mail = new PHPMailer();

$mail->Host     = "smtp.chello.nl";
$mail->Mailer   = "smtp";

$mail->From     = "burger@leer-php.nl";
$mail->FromName = "Arjan Burger";

// lees nieuwsbrief in
$handle = fopen($htmldoc, "r");
$html = fread($handle, filesize($htmldoc));
fclose($handle);

while (ereg("<img[^>]*src=\"?([a-z0-9A-Z_.-]+\.jpg)\"?[^>]*>", $html, $reg)) {

	$a=1;

		while($reg[$a] != "") {

			if (!$afb[$reg[$a]]) { // is deze afbeelding al gebruikt?
				$afb[$reg[$a]] = "image".$afbnr;
				$afbeelding = imagedir.$reg[$a];
				$mail->AddEmbeddedImage($afbeelding, $afb[$reg[$a]]);
				$afbnr++;
			}

			$html = ereg_replace($reg[$a], "cid:".$afb[$reg[$a]], $html);
			
			$a++;

		}

}

$mail->Body    = $html;
$mail->AltBody = "Deze nieuwsbrief is niet geschikt voor e-mail client die alleen tekst ondersteunen. U kunt u de nieuwsbrief ook on line bekijken op www.eduvision.nl/nieuwsbrief";
$mail->Subject = "Nieuwsbrief";
$mail->AddAddress("info@eduvision.nl", "Eduvision Opleidingen");

if(!$mail->Send())
	echo "De mail is niet goed verstuurd!<br>";

// Wis de mailadressen weer
$mail->ClearAddresses();

?>